Name: tin
Version: 1.7.5
Release: alt1

Summary: A basic Internet news reader
License: distributable
Group: Networking/News

Source: ftp://ftp.tin.org/pub/news/clients/tin/v1.5/%name-%version.tar.bz2
Patch1: %name-1.6.1.autoconf.patch
Patch2: %name-1.6.1.pcre.patch
Patch3: %name-1.7.3-makefile.patch

AutoReq: yes, noshell, noperl
BuildPreReq: autoconf = 2.13

# Automatically added by buildreq on Tue Feb 24 2004
BuildRequires: glibc-kernheaders gnupg ispell libgpm-devel libncurses-devel libpcre-devel libtinfo-devel postfix splint vim-minimal

%description
Tin is a basic, easy to use Internet news reader.  Tin can read news
locally or remotely via an NNTP (Network News Transport Protocol) server.

Install tin if you need a basic news reader.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%set_autoconf_version 2.13
%__autoconf
%configure --verbose \
	--with-spooldir=/var/lib/news \
	--enable-nntp \
	--enable-prototypes \
	--disable-echo \
	--disable-mime-strict-charset \
	--enable-color \
	--with-screen=ncurses \
	--enable-locale \
	--enable-mh-mail-handling \
	--with-pcre=/usr

%make_build build

%install
%make_install install DESTDIR=%buildroot

%find_lang %name

%files -f %name.lang
%_bindir/%name
%_bindir/rtin
%_mandir/man1/%name.*
%_mandir/man1/rtin.*
%_mandir/man5/%name.*
%doc README doc/* tools/*

%changelog
* Tue Jul 13 2004 Konstantin Timoshenko <kt@altlinux.ru> 1.7.5-alt1
- 1.7.5

* Tue Feb 24 2004 Konstantin Timoshenko <kt@altlinux.ru> 1.7.3-alt1
- 1.7.3

* Mon Aug 25 2003 Konstantin Timoshenko <kt@altlinux.ru> 1.6.1-alt2
- add autoconf & pcre patch
- fix spec file

* Tue Aug 19 2003 Konstantin Timoshenko <kt@altlinux.ru> 1.6.1-alt1
- 1.6.1

* Tue Jul 15 2003 Konstantin Timoshenko <kt@altlinux.ru> 1.6.0-alt1
- 1.6.0

* Thu Mar 27 2003 Konstantin Timoshenko <kt@altlinux.ru> 1.5.16-alt1
- 1.5.16

* Wed Jan 08 2003 Konstantin Timoshenko <kt@altlinux.ru> 1.5.15-alt1
- 1.5.15

* Tue Oct 08 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.5.14-alt1
- 1.5.14

* Thu Jul 25 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.5.13-alt1
- 1.5.13

* Fri May 24 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.5.12-alt1
- 1.5.12
- fix requires

* Thu Apr 18 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.5.11-alt1
- 1.5.11

* Fri Nov 30 2001 Konstantin Timoshenko <kt@altlinux.ru> 1.5.10-alt1
- 1.5.10
- add enable-mh-mail-handling

* Tue Sep 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.5.9-alt2
- Do not distribute mbox(5) in this package.

* Fri Sep 14 2001 Kostya Timoshenko <kt@altlinux.ru> 1.5.9-alt1
- 1.5.9

* Thu Feb 22 2001 Kostya Timoshenko <kt@petr.kz> 1.5.8-ipl1mdk
- 1.5.8

* Tue Dec 19 2000 Kostya Timoshenko <kt@petr.kz>
- 1.5.7
- build for RE

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.4-2mdk
- automatically added BuildRequires

* Sat Aug 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.4-1mdk
- new shiny version

* Sun Jul 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.3-2mdk
- macrosifications
- rebuild for hte BM
* Mon Jun 26 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 1.4.3-1mdk
- Moved to the 1.4.3 version

* Wed Apr 05 2000 John Buswell <johnb@mandrakesoft.com> 1.4.2-3mdk
- fixed vendor tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 1.4.2-2mdk
- Fixed groups
- spec-helper

* Mon Feb 07 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.4.2-1mdk
- 1.4.2

* Thu Dec  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.4.1.

* Wed Nov 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.4.0.

* Fri Sep 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- pre19990805 tnks to Ian White <iwhite@victoria.tc.ca>.

* Wed May  5 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- upgraded to latest dev version snapshot.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Dec 22 1998 Preston Brown <pbrown@redhat.com>
- upgraded again to latest snapshot.

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- Alan is right; 1.22 is full of bugs and ANCIENT. Moved to latest tin.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 24 1998 Alan Cox <alan@redhat.com>
- turned on DONT_LOG_USER - get rid of the silly file in /tmp. We probably
  ought to move to a newer tin soon.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Mon Nov 3 1997 Erik Troan <ewt@redhat.com>
- hacked to use just termios, not a motley mix of termios and termio

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
